# frozen_string_literal: true

lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "aws_ami_cleanup/version"

Gem::Specification.new do |s|
  s.name = "aws_ami_cleanup".freeze
  s.version = AwsAmiCleanup::VERSION

  s.authors = ["Diego Marcet"]
  s.date = "2021-02-19"
  s.summary = "Script for deleting obsolete AMIs"
  s.email = "diego@controlshiftlabs.com"
  s.executables = ["cleanup_amis"].freeze
  s.require_paths = ["lib"]
  s.homepage = "http://github.com/controlshift/aws_ami_cleanup"
  s.license = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  s.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  s.add_runtime_dependency "aws-sdk-ec2", "~> 1"
  s.add_runtime_dependency "aws-sdk-autoscaling", "~> 1"
  s.add_runtime_dependency "thor", "~> 1"
  s.add_development_dependency("byebug", "~> 11")
end
